Name:           gnome-paint
Version:        0.4.0
Release:        1%{?dist}
Summary:        Easy to use paint program for GNOME

Group:          Applications/Multimedia
License:        GPLv3+
URL:            http://code.google.com/p/gnome-paint/
Source0:        http://launchpad.net/%{name}/trunk/%{version}/+download/%{name}-%{version}.tar.gz
# Man page taken from debian
Source1:        %{name}.1 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  intltool gtk2-devel desktop-file-utils

Requires:       hicolor-icon-theme       

%description
gnome-paint is a simple, easy to use paint program for GNOME.
It is inspired by MS-Paint.

%prep
%setup -q
# remove icon extensions
sed -i 's|Icon=gp.png|Icon=gp|g' data/desktop/%{name}.desktop.in.in
# fix desktop file warning while validating
sed -i 's|RasterGraphics;|2DGraphics;RasterGraphics;|g' data/desktop/%{name}.desktop.in.in

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# remove docs, use rpmbuild instead
rm -rf $RPM_BUILD_ROOT%{_prefix}/doc
# remove unnecessary icons from %%{_includedir}
rm -rf $RPM_BUILD_ROOT%{_includedir}
# validate desktop file
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
install -Dpm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1
%find_lang gnome_paint

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f gnome_paint.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/gp.png
%{_mandir}/man1/%{name}.1.gz

%changelog
* Wed Dec 29 2010 Tareq Al Jurf <taljurf@fedoraproject.org> - 0.4.0-1
- Update to 0.4.0

* Thu Jun 03 2010 Tareq Al Jurf <taljurf@fedoraproject.org> - 0.3-1
- Update to 0.3

* Fri Feb 19 2010 Tareq Al Jurf <taljurf@fedoraproject.org> - 0.2.1-1
- Initial Build
